[android-components](../../index.md) / [mozilla.components.browser.engine.servo](../index.md) / [ServoEngine](index.md) / [createView](./create-view.md)

# createView

`fun createView(context: `[`Context`](https://developer.android.com/reference/android/content/Context.html)`, attrs: `[`AttributeSet`](https://developer.android.com/reference/android/util/AttributeSet.html)`?): `[`EngineView`](../../mozilla.components.concept.engine/-engine-view/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-servo/src/main/java/mozilla/components/browser/engine/servo/ServoEngine.kt#L24)

Overrides [Engine.createView](../../mozilla.components.concept.engine/-engine/create-view.md)

Creates a new view for rendering web content.

### Parameters

`context` - an application context

`attrs` - optional set of attributes

**Return**
new newly created [EngineView](../../mozilla.components.concept.engine/-engine-view/index.md).

